Subject: Re: \b character escapes in CLI usage

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Feb 2025 16:03:14 -0800

"brian m. carlson" <[email-masked]> writes:

> I agree this is the right choice in general.  I wonder if we might want
> some sort of human-readable output option that might escape these that
> users could use.
> The output might still be machine-readable, ...

I wonder if isatty(1) is a good way to say "ah, we are not captured
in 'foo=$(git blah)' and not feeding somebody in 'git blah |
somebody', so we do not have to worry about being machine readable".
If that is a reliable way to tell that we could butcher our output
for the sake of keeping the terminal state sane, we then can always
do the C-quote escaping, or even information losing '?' redaction.